# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit
        
__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "The default CairoTexture"

import clutter
import cairo
from clutter.cluttercairo import CairoTexture

class Texture(CairoTexture):
    """ The default CairoTexture """

    def __init__(self, width, height):
    
        """
        width (int) -- width in pixels
        height (int) -- height in pixels
        """
        
        CairoTexture.__init__(self, width, height)
        
        self.width = width
        self.height = height
        
        self.context = self.cairo_create()
        
        self.context.set_line_width(self.height * 0.05)
        self.context.set_source_rgba(1.0, 1.0, 1.0, 1.0)
        self.context.rectangle(0.0, 0.0, self.width, self.height)
        
        self.context.close_path()
        
        self.context.stroke()
        del self.context
          
    def resize(self, width, height):
        """ Resize """
        pass
        
