# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the button widget"

import sys
import os

glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

import pygtk
pygtk.require('2.0')
import gtk

import clutter
import clutter.cluttergtk as cluttergtk

from glitter.stage import Stage as Stage
from glitter.frame import Frame as Frame
from glitter.button import Button as Button
from tests.glitter_window import GlitterWindow as GlitterWindow

class TestButton(object):
    """ Tests for the button widget """
    
    def __init__(self):
        
        # Lets create a stage
        self.width = 800
        self.height = 480
        
        self.window = GlitterWindow(self.width, self.height)
        self.window.connect("destroy", self.destroy)
        
        self.stage = Stage()
        self.stage.set_size(self.width, self.height)
        self.stage.set_color(clutter.color_parse('Black'))
        self.stage.set_title("Glitter tests")
        self.stage.show()
        
        self.frame = Frame()
        self.stage.add(self.frame)
        self.frame.show()
        
        self.button1 = Button(height_pc=20)
        self.frame.add(self.button1)
        self.button1.show()
        self.button1.connect('clicked', self.on_button1_clicked)

        self.window.show()
        
        gtk.main()
        
    def on_button1_clicked(self, widget, event):
        self.button1.set_width_pc(80)
        self.button1.set_height_pc(50)
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

        
if __name__ == '__main__':
    TestButton()
 
