# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the image widget"

import sys
import os
import unittest

glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

import pygtk
pygtk.require('2.0')
import gtk

import clutter
import clutter.cluttergtk as cluttergtk

from glitter.stage import Stage
from glitter.frame import Frame
from glitter.image import Image
from tests.glitter_window import GlitterWindow as GlitterWindow

class TestImage(object):
    """ Tests for the button widget """
    
    def __init__(self):

        self.width = 800
        self.height = 480

        # Lets create a GTK window with an embedded clutter widget using our
        # helper class
        self.window = GlitterWindow(self.width, self.height)
        self.window.connect("destroy", self.destroy)

        # Lets create a stage
        self.stage = Stage()
        self.stage.set_size(self.width, self.height)
        self.stage.set_color(clutter.color_parse('Black'))
        self.stage.set_title("Glitter tests")
        self.stage.show()
        
        self.frame = Frame()
        self.stage.add(self.frame)
        self.frame.show()
        
        self.image1 = Image("test.svg", height_pc=50, source_scalable=False)
        self.frame.add(self.image1)
        self.image1.show()
        
        self.image2 = Image(
          "test.svg", source_scalable=False, height_pc=50, y_pc=50)
        self.frame.add(self.image2)
        self.image2.show()
        
        self.window.show()
        
        gtk.main()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

        
if __name__ == '__main__':
    TestImage()
 
