# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the image widget"

import sys
import os
import unittest

glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

import pygtk
pygtk.require('2.0')
import gtk

import clutter
import clutter.cluttergtk as cluttergtk

from glitter.stage import Stage
from glitter.frame import Frame
from glitter.label import Label
from tests.glitter_window import GlitterWindow as GlitterWindow

class TestLabel(object):
    """ Tests for the label widget """
    
    def __init__(self):

        self.width = 600
        self.height = 100
        
        self.window = GlitterWindow(self.width, self.height)
        self.window.connect("destroy", self.destroy)
        
        self.stage = Stage()
        self.stage.set_size(self.width, self.height)
        self.stage.set_color(clutter.color_parse('Black'))
        self.stage.set_title("Glitter tests")
        self.stage.show()
        
        self.frame = Frame()
        self.stage.add(self.frame)
        self.frame.show()
        
        self.label = Label("Test label")
        self.frame.add(self.label)
        self.label.show()
        
        self.window.show()
        
        gtk.main()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

        
if __name__ == '__main__':
    TestLabel()
 
