# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the slider widget"

import sys
import os

glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

import pygtk
pygtk.require('2.0')
import gtk

import clutter
import clutter.cluttergtk as cluttergtk

from glitter.stage import Stage as Stage
from glitter.frame import Frame as Frame
from glitter.slider import Slider as Slider
from tests.glitter_window import GlitterWindow as GlitterWindow

class TestSlider(object):
    """ Tests for the slider widget """
    
    def __init__(self):

        self.width = 800
        self.height = 480
        
        self.window = GlitterWindow(self.width, self.height)
        self.window.connect("destroy", self.destroy)
        
        self.stage = Stage()
        self.stage.set_size(self.width, self.height)
        self.stage.set_color(clutter.color_parse('Black'))
        self.stage.set_title("Glitter tests")
        self.stage.set_user_resizable(True)
        self.stage.show()
        
        self.frame = Frame()
        self.stage.add(self.frame)
        self.frame.show()
        
        self.slider = Slider(percentage=50, width_pc=90, height_pc=10, x_pc=5, y_pc=45)
        self.frame.add(self.slider)
        self.slider.show()
        self.slider.connect('value-changed', self.on_slider_value_changed)
        
        self.window.show()
        
        gtk.main()
        
    def on_slider_value_changed(self, widget, event):
        print event
        
    def destroy(self, widget, data=None):
        gtk.main_quit()
        
if __name__ == '__main__':
    TestSlider()
 
