# !/usr/bin/python
# -*- coding: utf-8 -*-

# Glitter Toolkit

__authors__ = ["Jan Jokela <janjokela@gmail.com>"]
__licenses__ = ["LICENSE.LGPL"]
__description__ = "Tests for the video widget"

import sys
import os

glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

import pygtk
pygtk.require('2.0')
import gtk

import clutter
import clutter.cluttergtk as cluttergtk

from glitter.stage import Stage as Stage
from glitter.frame import Frame as Frame
from glitter.toolbar import Toolbar as Toolbar
from glitter.button import Button as Button
from glitter.label import Label as Label
from glitter.toggle_switch import ToggleSwitch as ToggleSwitch
from glitter.slider import Slider as Slider
from glitter.video import Video as Video
from tests.glitter_window import GlitterWindow as GlitterWindow

# Importing glitter.video messes up sys.path because in its turn, it import gst
# which messes up sys.path
glitter_path = os.path.split(sys.path[0])[0]
sys.path[0] = glitter_path

class TestVideo(object):
    """ Tests for the video widget """
    
    def __init__(self, video_uri, aspect_ratio):
    
        self.video_uri = video_uri
        self.aspect_ratio = aspect_ratio

        self.width = 800
        self.height = 480
        
        self.window = GlitterWindow(self.width, self.height)
        self.window.connect("destroy", self.destroy)
        
        self.stage = Stage()
        self.stage.set_size(self.width, self.height)
        self.stage.set_color(clutter.color_parse('Black'))
        self.stage.set_title("Glitter tests")
        self.stage.show()
        
        self.frame = Frame()
        self.stage.add(self.frame)
        self.frame.show()
        
        self.video1 = Video(self.video_uri, 
                            self.aspect_ratio,
                            height_pc=100)
        self.video1.set_y_pc(0)
        self.frame.add(self.video1)
        self.video1.show()

        self.window.show()
        
        gtk.main()
        
    def destroy(self, widget, data=None):
        gtk.main_quit()

        
if __name__ == '__main__':
    if len(sys.argv) != 3:
        print "Missing arguments, correct usage is: "
        print "python video.py video_file_uri [ex: glitter.mov] " + \
              "mode [native, widescreen, tv, smart]"
        sys.exit(1)
    else:
        TestVideo(sys.argv[1], sys.argv[2])
 

